QCheckBox(3qt)

NAME
QCheckBox - Check box with a text label

SYNOPSIS

#include <qcheckbox.h>

Inherits QButton.

  Public Members
QCheckBox ( QWidget * parent=0, const char * name=0 )
QCheckBox ( const char * text, QWidget * parent, const char * name=0 )
bool isChecked () const
void setChecked ( bool check )
virtual QSize sizeHint () const

  Protected Members
virtual void drawButton ( QPainter * )
virtual void drawButtonLabel ( QPainter * )

DESCRIPTION
The QCheckBox widget provides a check box with a text label.

QCheckBox and QRadioButton are both toggle buttons, but a check box represents an independent switch that can be on (checked) or off (unchecked).

[Image Omitted]

[Image Omitted]

See also: QButton, QRadioButton and Fowler: Check Box.

Examples: xform/xform.cpp widgets/widgets.cpp

MEMBER FUNCTION DOCUMENTATION

QCheckBox::QCheckBox ( QWidget * parent=0, const char * name=0 )
Constructs a check box with no text.

The parent and name arguments are sent to the QWidget constructor.

QCheckBox::QCheckBox ( const char * text, QWidget * parent, const char * name=0 )
Constructs a check box with a text.

The parent and name arguments are sent to the QWidget constructor.

void QCheckBox::drawButton ( QPainter * paint ) [virtual protected]
Draws the check box. Calls drawButtonLabel() to draw the content.

See also: drawButtonLabel().

Reimplemented from QButton.

void QCheckBox::drawButtonLabel ( QPainter * p ) [virtual protected]
Draws the check box label.

See also: drawButton().

Reimplemented from QButton.

bool QCheckBox::isChecked () const
Returns TRUE if the check box is checked, or FALSE if it is not checked.

See also: setChecked().

Examples: xform/xform.cpp

void QCheckBox::setChecked ( bool check )
Checks the check box if check is TRUE, or unchecks it if check is FALSE.

See also: isChecked().

Examples: xform/xform.cpp

QSize QCheckBox::sizeHint () const [virtual]
Returns a size which fits the contents of the check box.

Reimplemented from QWidget.

SEE ALSO
http://www.troll.no/qt/qcheckbox.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.